Mistake in Polish Translation file.

2015-03-17 08:45 - Maciej G.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version:  

Description

In Polish Translation (config/locale/pl.yml) file there is mistake (at least) in two keys repeated in all recent versions of Redmine

includeing 3.0.1.

Two values need to be changed because of inproper use of the variables %{count} and %{count}.

They corrected values shoud look like:

mail_subject_reminder: "Uwaga na terminy, masz zagadnienia do obsłużenia w ciągu następnych %{days

} dni! (%{count})" 

mail_body_reminder: "Wykaz przypisanych do Ciebie zagadnień, których termin wypada w ciągu następn

ych %{days} dni" 

 Discovered that mistake with my workmate.

Related issues:

Related to Redmine - Patch #2001: Fresh polish translation Closed 2008-10-07

Has duplicate Redmine - Defect #8287: Polish e-mail due task notifications Closed 2011-05-04

Associated revisions

Revision 14639 - 2015-10-04 14:24 - Jean-Philippe Lang

Mistake in Polish Translation file (#19403).

Patch by Sebastian Paluch.

History

#1 - 2015-03-17 09:51 - Go MAEDA

- File pl-19403.diff added

I made a patch file from the description.

#2 - 2015-03-17 10:10 - Go MAEDA

- Has duplicate Defect #8287: Polish e-mail due task notifications added

#3 - 2015-03-17 11:00 - Toshi MARUYAMA

- Target version set to 3.1.0

#4 - 2015-04-15 15:52 - Toshi MARUYAMA

- Related to Patch #2741: Polish translation for r2460 added

#5 - 2015-04-15 15:54 - Toshi MARUYAMA

- Related to deleted (Patch #2741: Polish translation for r2460)

#6 - 2015-04-15 15:58 - Toshi MARUYAMA

- Related to Patch #2001: Fresh polish translation added
#7 - 2015-04-15 16:02 - Toshi MARUYAMA

source:trunk/lang/en.yml@1928#L97

mail_body_reminder: "%d issue(s) that are assigned to you are due in the next %d days:" 

#8 - 2015-04-15 16:11 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Target version deleted (3.1.0)

Polish "mail_body_reminder" %{count} parameter was removed by r1928 (#2001).

Could you add %{count} parameter to Polish "mail_body_reminder"?

source:trunk/config/locales/en.yml@14180#L217

mail_body_reminder: "%{count} issue(s) that are assigned to you are due in the next %{days} days:" 

#9 - 2015-04-15 16:21 - Toshi MARUYAMA

I think "mail_subject_reminder" is correct due to r3907 change.

--- pl.yml    (revision 3906)

+++ pl.yml    (revision 3907)

@@ -640,7 +640,7 @@

   mail_subject_account_activation_request: "Zapytanie aktywacyjne konta {{value}}" 

   mail_subject_lost_password: "Twoje hasło do {{value}}" 

   mail_subject_register: "Aktywacja konta w {{value}}" 

-  mail_subject_reminder: "Uwaga na terminy, masz zagadnienia do obsłużenia w ciągu następnych {{count}} dni!"

 

+  mail_subject_reminder: "Uwaga na terminy, masz zagadnienia do obsłużenia w ciągu następnych {{count}} dni! 

({{days}})" 

   notice_account_activated: Twoje konto zostało aktywowane. Możesz się zalogować.

   notice_account_invalid_creditentials: Zły użytkownik lub hasło

   notice_account_lost_email_sent: Email z instrukcjami zmiany hasła został wysłany do Ciebie.

 What do you think?

#10 - 2015-09-16 15:59 - Sebastian Paluch

Toshi MARUYAMA wrote:

I think "mail_subject_reminder" is correct due to r3907 change.

[...]

What do you think?

 The r3907 is wrong. Correct translation is specified in the description.

#11 - 2015-09-17 06:00 - Toshi MARUYAMA

Sebastian Paluch wrote:

Toshi MARUYAMA wrote:

I think "mail_subject_reminder" is correct due to r3907 change.

[...]

What do you think?

 The r3907 is wrong. Correct translation is specified in the description.

 Thank you. Could you give us correct "mail_body_reminder"?

#12 - 2015-09-17 09:18 - Sebastian Paluch

Toshi MARUYAMA wrote:
Thank you. Could you give us correct "mail_body_reminder"?

 Taking under consideration many plural forms used in Polish I would suggest to keep %{count} in brackets.

...and making it closer to original English version I would propose:

mail_subject_reminder: "Zagadnienia (%{count}) do obsłużenia w ciągu następnych %{days} dni" 

mail_body_reminder: 

"Wykaz przypisanych do Ciebie zagadnień (%{count}), których termin dobiega końca w ciągu następnych %{days} dn

i:" 

 It seems there is much more stuff that needs translation. I will try to find time to do this.

#13 - 2015-09-17 09:46 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#14 - 2015-09-17 09:59 - Toshi MARUYAMA

- Target version set to 3.2.0

#15 - 2015-09-29 22:37 - Sebastian Paluch

I have added updated translation in #20785.

#16 - 2015-10-04 14:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Change committed in r14639, thanks.

Files

pl-19403.diff 1.39 KB 2015-03-17 Go MAEDA
